<div class="row mt-3">
    <div class="col-xl-12 text-left">
        <div class="d-flex justify-content-end">
            <button mat-raised-button color="accent" class="wide mr-2" (click)="onSendEmailClick()">
                Bulk Email
            </button>
            <button mat-raised-button color="accent" class="wide mr-2" (click)="onSendSmsClick()">
                Bulk SMS
            </button>
        </div>

        <div class="d-flex justify-content-end mt-2">
            <button class="no-border-bg-btn" (click)="filter($event)">
                <span class="k-icon k-i-filter" style="font-size: 22px; color: #575757;"></span>
            </button>
            <button class="no-border-bg-btn" *ngIf="isDisplayClear" (click)="clearFilter()">
                <span class="k-icon k-i-filter-clear" style="font-size: 22px; color: #575757;"></span>
            </button>
        </div>

        <div class="mt-2">

            <app-communication-grid #communicationGrid></app-communication-grid>

        </div>
    </div>
</div>

<dx-popover #filterActionPopup class="grid-action-popup" position="top" [width]="176" [height]="'auto'"
            [shading]="false" [position]="{my: 'right top', at: 'right bottom'}">
    <div *dxTemplate="let data of 'content'">
        <button class="grid-action-popup-button text-left" (click)="filterByDate()">
            <span>Date</span>
        </button>
        <button class="grid-action-popup-button text-left" (click)="filterByType()">
            <span>Type</span>
        </button>

    </div>
</dx-popover>
